## unrtf 0.19.8

=== Makefile ===
##############################################################################
#  GNU UnRTF, a command-line program to convert RTF documents to other formats.
#  Copyright (C) 2000,2001,2004 by Zachary Smith
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
#
#  The maintainer is reachable by electronic mail at daved@physiol.usyd.edu.au
##############################################################################

#
# Makefile for UnRTF
#

SHELL = /bin/sh

prefix=/usr/local
mandir=/${prefix}/man/man1

EXEEXT=

CFLAGS=-g -O2 -Wall
CC=gcc

OBJS=convert.o word.o error.o main.o hash.o \
	parse.o malloc.o attr.o util.o \
	output.o html.o text.o vt.o latex.o

TARGET=unrtf${EXEEXT}

${TARGET}:	${OBJS}
	gcc ${OBJS} -o ${TARGET}

clean:
	rm -f ${OBJS} ${TARGET} 

tidy:
	rm -f ${OBJS} 
	strip ${TARGET}

tests:
	rm -f test/*.html
	${TARGET} testfiles/backslash.rtf > test/backslash.html
	${TARGET} testfiles/braces.rtf > test/braces.html
	${TARGET} testfiles/chars.rtf > test/chars.html
	${TARGET} testfiles/Greek1.rtf > test/Greek1.html
	${TARGET} testfiles/Greek2.rtf > test/Greek2.html
	${TARGET} testfiles/symbol.rtf > test/symbol.html
	${TARGET} testfiles/unicode4.rtf > test/unicode4.html
	${TARGET} testfiles/ascii_decimal.rtf > test//ascii_decimal.html
	${TARGET} testfiles/borders_shading.rtf > test//borders_shading.html
	${TARGET} testfiles/character_formatting.rtf > test//character_formatting.html
	${TARGET} testfiles/columns.rtf > test//columns.html
	${TARGET} testfiles/font_size.rtf > test//font_size.html
	${TARGET} testfiles/font_styles.rtf > test//font_styles.html
	${TARGET} testfiles/lists.rtf > test//lists.html
	${TARGET} testfiles/paragraph_formatting.rtf > test//paragraph_formatting.html
	${TARGET} testfiles/text_color.rtf > test//text_color.html
	${TARGET} testfiles/text_formatting.rtf > test//text_formatting.html
	

all:	${TARGET} 
	rm -f ${OBJS}

install:	${TARGET}
	-mkdir -p ${prefix}/bin
	-mkdir -p ${mandir}
	cp ${TARGET} ${DESTDIR}/usr/bin
	cp unrtf.1 ${mandir}

attr.o: attr.c defs.h error.h attr.h main.h malloc.h
convert.o: convert.c attr.h convert.h defs.h error.h hash.h main.h malloc.h \
	parse.h util.h word.h
error.o: error.c defs.h main.h
hash.o: hash.c error.h hash.h main.h malloc.h
html.o: html.c defs.h error.h main.h malloc.h output.h
latex.o: latex.c defs.h error.h main.h malloc.h output.h
main.o: main.c convert.h defs.h error.h hash.h html.h latex.h output.h \
	parse.h text.h vt.h word.h
malloc.o: malloc.c error.h
output.o: output.c convert.h defs.h error.h main.h malloc.h output.h
parse.o: parse.c defs.h error.h main.h malloc.h parse.h word.h
text.o: text.c defs.h error.h main.h malloc.h output.h
util.o: util.c
vt.o: vt.c defs.h error.h main.h malloc.h output.h
word.o: word.c defs.h error.h hash.h main.h malloc.h parse.h word.h
attr.o: attr.c defs.h error.h attr.h main.h malloc.h
convert.o: convert.c attr.h convert.h defs.h error.h hash.h main.h malloc.h \
	parse.h util.h word.h
error.o: error.c defs.h main.h
hash.o: hash.c error.h hash.h main.h malloc.h
html.o: html.c defs.h error.h main.h malloc.h output.h
latex.o: latex.c defs.h error.h main.h malloc.h output.h
main.o: main.c convert.h defs.h error.h hash.h html.h latex.h output.h \
	parse.h text.h vt.h word.h
malloc.o: malloc.c error.h
output.o: output.c convert.h defs.h error.h main.h malloc.h output.h
parse.o: parse.c defs.h error.h main.h malloc.h parse.h word.h
text.o: text.c defs.h error.h main.h malloc.h output.h
util.o: util.c
vt.o: vt.c defs.h error.h main.h malloc.h output.h
word.o: word.c defs.h error.h hash.h main.h malloc.h parse.h word.h

## unrtf 0.19.9

=== Makefile ===
--- 
+++ 
@@ -37,13 +37,14 @@
 	parse.o malloc.o attr.o util.o \
 	output.o html.o text.o vt.o latex.o
 
-TARGET=unrtf${EXEEXT}
+TARGET=./unrtf${EXEEXT}
 
 ${TARGET}:	${OBJS}
 	gcc ${OBJS} -o ${TARGET}
 
 clean:
 	rm -f ${OBJS} ${TARGET} 
+	rm -f test/*.html 
 
 tidy:
 	rm -f ${OBJS} 
@@ -58,17 +59,23 @@
 	${TARGET} testfiles/Greek2.rtf > test/Greek2.html
 	${TARGET} testfiles/symbol.rtf > test/symbol.html
 	${TARGET} testfiles/unicode4.rtf > test/unicode4.html
-	${TARGET} testfiles/ascii_decimal.rtf > test//ascii_decimal.html
-	${TARGET} testfiles/borders_shading.rtf > test//borders_shading.html
-	${TARGET} testfiles/character_formatting.rtf > test//character_formatting.html
-	${TARGET} testfiles/columns.rtf > test//columns.html
-	${TARGET} testfiles/font_size.rtf > test//font_size.html
-	${TARGET} testfiles/font_styles.rtf > test//font_styles.html
-	${TARGET} testfiles/lists.rtf > test//lists.html
-	${TARGET} testfiles/paragraph_formatting.rtf > test//paragraph_formatting.html
-	${TARGET} testfiles/text_color.rtf > test//text_color.html
-	${TARGET} testfiles/text_formatting.rtf > test//text_formatting.html
+	${TARGET} testfiles/ascii_decimal.rtf > test/ascii_decimal.html
+	${TARGET} testfiles/borders_shading.rtf > test/borders_shading.html
+	${TARGET} testfiles/character_formatting.rtf > test/character_formatting.html
+	${TARGET} testfiles/columns.rtf > test/columns.html
+	${TARGET} testfiles/font_size.rtf > test/font_size.html
+	${TARGET} testfiles/font_styles.rtf > test/font_styles.html
+	${TARGET} testfiles/lists.rtf > test/lists.html
+	${TARGET} testfiles/paragraph_formatting.rtf > test/paragraph_formatting.html
+	${TARGET} testfiles/text_color.rtf > test/text_color.html
+	${TARGET} testfiles/text_formatting.rtf > test/text_formatting.html
 	
+tests-latex:
+	rm -f test/*.tex
+	${TARGET} --latex testfiles/backslash.rtf > test/backslash.tex
+	${TARGET} --latex testfiles/braces.rtf > test/braces.tex
+	${TARGET} --latex testfiles/chars.rtf > test/chars.tex
+	${TARGET} --latex testfiles/Greek1.rtf > test/Greek1.tex
 
 all:	${TARGET} 
 	rm -f ${OBJS}

## unrtf 0.21.3

=== debian/changelog ===
unrtf (0.21.3-2) unstable; urgency=low

  * Upload to unstable
  * Standard-Version 3.9.3 -> 3.9.4 (no changes)
  * d/control: Add Vcs-* Fields to document packaging git repository

 -- Willi Mann <willi@debian.org>  Sun, 05 May 2013 10:40:33 +0200

unrtf (0.21.3-1) experimental; urgency=low

  * Imported Upstream version 0.21.3
    - Fixes latex handling of "_", according to my testing (closes: #206701)
  * Remove all patches, they have all been applied upstream

 -- Willi Mann <willi@debian.org>  Sun, 27 Jan 2013 19:31:36 +0100

unrtf (0.21.2-2) experimental; urgency=low

  * Add patch to get rid completely of hardcoded local/lib paths
  * Make clean target work by updating file lists in tests/Makefile.am

 -- Willi Mann <willi@debian.org>  Wed, 26 Dec 2012 10:48:12 +0100

unrtf (0.21.2-1) experimental; urgency=low

  * Adopt package (closes: #695827)
  * Imported Upstream version 0.21.2 (closes: #514040)
    - PostScript support has been removed, so closing PostScript related bug:
      closes: #602297
  * d/rules: Switch to minimal dh-based version, compat level 9
  * d/control: Set Standards-Version to 3.9.3 (no changes)
  * Remove junk left from import
  * d/docs: Remove non-existing files
  * d/control: Add ${misc:Depends} to Bin-Pkg's Depends
  * d/watch: Upgrade to version 3 (closes: #529142)
  * Add patch to fix section specification in manpage
  * Set source format for 3.0 (quilt)
  * d/rules: Run autoreconf
  * d/control: Add build-depends on dh-autoreconf
  * Add patches to place output format files in $SHAREDIR/unrtf
  * Make tests working while compiling the package
  * Disable latex test - latex output is currently broken
  * d/control: Update description - PostScript support has been removed

 -- Willi Mann <willi@debian.org>  Tue, 25 Dec 2012 20:39:36 +0100

unrtf (0.19.3-1.1) unstable; urgency=HIGH

  * NMU
  * Fix buffer overflow in process_font_table (CAN-2004-1297) Closes: #287038

 -- Joey Hess <joeyh@debian.org>  Sat, 25 Dec 2004 20:07:43 -0500

unrtf (0.19.3-1) unstable; urgency=low

  * New upstream release
  * Closes: #227730: binaries removed
  * Closes: #227731: new mime entry
  * Closes: #225592: null pointer param in convert.c 

 -- Christian Surchi <csurchi@debian.org>  Wed,  2 Jun 2004 19:41:55 +0200

unrtf (0.19.0-1) unstable; urgency=low

  * New upstream release
  * Let's acknoledge changes from NMUs
  * Closes: #195061: FTBFS with gcc-3.3: Uses multiline strings
  * Closes: #140824: unrtf segfaults with a particular file
  * Closes: #145027: segfault on large rtf file
  * Closes: #210930: segfault with
    http://www.wizards.com/d20/files/v35/Races.rtf
  * Closes: #215102: dumps core on given file

 -- Christian Surchi <csurchi@debian.org>  Sat, 27 Dec 2003 16:58:09 +0100

unrtf (0.18.1-2.3) unstable; urgency=low

  * Decreased MAX_ATTRS to 10000, this clears up segfaults that seem to be
    because it's too large. Closes: #210930, #215102

 -- Joey Hess <joeyh@debian.org>  Tue, 28 Oct 2003 16:08:03 -0500

unrtf (0.18.1-2.2) unstable; urgency=low

  * NMU
  * Increased MAX_FONTS from 256 to 8192 to avoid segfaulting on documents
    with many fonts. Of course this should not be a hardcoded limit at all.
    Closes: #140824
  * Increased MAX_ATTRS from 1000 to 100000 to avoid segfaulting on other
    documents.
    Closes: #145027
  * Increased MAX_COLORS from 256 to 1024 on general principles.

 -- Joey Hess <joeyh@debian.org>  Sun, 31 Aug 2003 20:37:50 -0400

unrtf (0.18.1-2.1) unstable; urgency=low

  * NMU. Debcamp BSP
  * Patched ps.c to fix build problems with GCC 3.3
    Thanks Jakob Hilmer for the patch (Closes: #195061)

 -- Alberto Gonzalez Iniesta <agi@agi.as>  Mon, 14 Jul 2003 15:34:21 +0200

unrtf (0.18.1-2) unstable; urgency=low

  * Added mime-support (Thanks to Horms) (Closes:#130865,#138852) 

 -- Christian Surchi <csurchi@debian.org>  Sun, 24 Mar 2002 17:56:42 +0100

unrtf (0.18.1-1) unstable; urgency=low

  * New upstream release, package name changed from rtf2htm to unrtf
    (Closes:#128721,#135950)

 -- Christian Surchi <csurchi@debian.org>  Sat,  2 Mar 2002 19:42:00 +0100

rtf2htm (0.13.2-1) unstable; urgency=low

  * New upstream release
  * New maintainer (Closes: #100258)

 -- Christian Surchi <csurchi@debian.org>  Sun, 10 Jun 2001 16:20:44 +0200

rtf2htm (0.13.1-1) unstable; urgency=low

  * New upstream release.
  * Deleted DOS and Windows binaries.
  * Again removed the original manpage which is still broken, and which is
    here again replaced by an updated Debian specific manpage.

 -- Dr. Guenter Bechly <gbechly@debian.org>  Sun, 22 Apr 2001 13:02:59 +0200

rtf2htm (0.12.8-1) unstable; urgency=low

  * New upstream release.
  * Removed the precompiled windows binary and the broken original manpage
    from the sources.
  * Fixed Makefile again.
  * Merged the content of the (totally broken) original manpage with Debian's
    manpage for this utility.
  * Corrected control, copyright, docs, and rules file for this new release.
  * Removed the obsolete README.Debian file.
  * Updated to the latest standards version.

 -- Dr. Guenter Bechly <gbechly@debian.org>  Mon,  9 Apr 2001 19:32:38 +0200

rtf2htm (0.12.7-4) unstable; urgency=low

  * Corrected typo in copyright file. 

 -- Dr. Guenter Bechly <gbechly@debian.org>  Thu, 29 Mar 2001 13:39:58 +0200

rtf2htm (0.12.7-3) unstable; urgency=low

  * Removed useless menu entry; closes: #85889 

 -- Dr. Guenter Bechly <gbechly@debian.org>  Wed, 14 Feb 2001 19:15:48 +0100

rtf2htm (0.12.7-2) unstable; urgency=low

  * Just a clean-up of the source package. 

 -- Dr. Guenter Bechly <gbechly@debian.org>  Thu, 11 Jan 2001 23:01:49 +0100

rtf2htm (0.12.7-1) unstable; urgency=low

  * Initial Release, closes: Bug #80791.
  * Adjusted the Makefile to fix $DESTDIR problems.
  * Wrote a manpage.

 -- Dr. Guenter Bechly <gbechly@debian.org>  Thu, 28 Dec 2000 20:03:00 +0100

=== debian/control ===
Source: unrtf
Section: text
Priority: optional
Maintainer: Willi Mann <willi@debian.org>
Build-Depends: debhelper (>> 9.0.0),
               dh-autoreconf
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/unrtf.git;a=summary
Vcs-Git: git://git.debian.org/collab-maint/unrtf.git

Package: unrtf
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: rtf2htm
Conflicts: rtf2htm
Description: RTF to other formats converter 
 UnRTF is a moderately complicated converter from RTF to other formats,
 including HTML, LaTeX, and text. Converting to HTML, it supports tables,
 fonts, colors, embedded images,  hyperlinks, paragraph alignment among other
 things. All other conversions are "alpha"--just begun.

=== debian/watch ===
version=3
ftp://ftp.gnu.org/pub/gnu/unrtf/unrtf-(.*)\.tar\.gz

## unrtf 0.21.5

=== debian/changelog ===
unrtf (0.21.5-3) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Add 0006-Limit-depth-of-group-embedding.patch [SECURITY]
  * Add 0007-Improved-image-file-handling.patch [Required by next patch]
  * Add 0008-Better-processing-of-pict-including-addition-of-EMF-type.patch 
    (RC-fix - Closes: #745195)

 -- Willi Mann <willi@debian.org>  Tue, 27 Jan 2015 20:44:22 +0100

unrtf (0.21.5-2) unstable; urgency=medium

  * Security fixes, closes: #772811
    - Fix CVE-2014-9274: check that accesses to color table stay within bounds
    - Fix CVE-2014-9275: various crashes
  * possible security fixes:
    - Fix Invalid read of size 4 in attr_get_param
    - attr_get_param(): Silence a warning message again

 -- Willi Mann <willi@debian.org>  Mon, 22 Dec 2014 20:20:33 +0100

unrtf (0.21.5-1) unstable; urgency=low

  * Imported Upstream version 0.21.5
  * fix lintian vcs-field-not-canonical: git.debian.org -> anonscm.debian.org
  * Add Homepage field in d/control
  * d/watch: More flexibility, thanks Bart Martens
  * Add import script to filter unneeded files from upstream tarball
  * Standards-Version 3.9.4 => 3.9.5 (no changes)

 -- Willi Mann <willi@debian.org>  Sat, 30 Nov 2013 12:29:40 +0100

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,10 @@
 Maintainer: Willi Mann <willi@debian.org>
 Build-Depends: debhelper (>> 9.0.0),
                dh-autoreconf
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/unrtf.git;a=summary
-Vcs-Git: git://git.debian.org/collab-maint/unrtf.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/unrtf.git
+Homepage: http://www.gnu.org/software/unrtf/
 
 Package: unrtf
 Architecture: any

## unrtf 0.21.9-clean

=== debian/changelog ===
unrtf (0.21.9-clean-3) unstable; urgency=high

  * Security fix 
  * Add patch from upstream to fix CVE-2016-10091 (buffer overflow in various
    cmd_ functions). closes: 849705

 -- Willi Mann <willi@debian.org>  Sat, 31 Dec 2016 20:35:19 +0100

unrtf (0.21.9-clean-2) unstable; urgency=medium

  * Upload to unstable 

 -- Willi Mann <willi@debian.org>  Fri, 04 Sep 2015 18:46:35 +0200

unrtf (0.21.9-clean-1) experimental; urgency=medium

  * clean-tar: allow specification of version on cmd-line
  * Imported Upstream version 0.21.9-clean
  * Complete 0.21.8-clean-1 changelog section with info on Bugs in the BTS
    fixed upstream

 -- Willi Mann <willi@debian.org>  Sun, 18 Jan 2015 14:39:13 +0100

unrtf (0.21.8-clean-1) experimental; urgency=medium

  * Imported Upstream version 0.21.8-clean
    - cleaned with script debian/clean-tar.sh, mainly to remove absolute path
      symlinks in config directory (spotted by lintian)
    - fixes CVE-2014-9274 and CVE-2014-9275 (closes: #772811)
    - fixes compilation with clang (closes: #740966)
    - includes fix by Bjarni Ingi Gislason concerning typographical errors
      (closes: 732150)
    - fixes unintended hex dump of image data to stdout (closes: #745195)
  * Update Standards-Version 3.9.5 -> 3.9.6 (no changes)

 -- Willi Mann <willi@debian.org>  Sun, 21 Dec 2014 20:14:30 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Willi Mann <willi@debian.org>
 Build-Depends: debhelper (>> 9.0.0),
                dh-autoreconf
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/unrtf.git;a=summary
 Vcs-Git: git://anonscm.debian.org/collab-maint/unrtf.git
 Homepage: http://www.gnu.org/software/unrtf/

## unrtf 0.21.10-clean

=== debian/changelog ===
unrtf (0.21.10-clean-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in debian/watch.
  * Use secure URI in Homepage field.
  * Bump debhelper from deprecated 9 to 10.
  * Set upstream metadata fields: Bug-Submit (from ./configure), Name (from ./configure).
  * Drop unnecessary dependency on dh-autoreconf.
  * Update standards version to 4.6.1, no changes needed.

  [ Willi Mann ]
  * Fix build with gcc-15. closes: 1098040

 -- Willi Mann <willi@debian.org>  Sun, 14 Sep 2025 16:18:24 +0200

unrtf (0.21.10-clean-1) unstable; urgency=medium

  - New upstream version
    * remove patch (*printf safety) included upstream
  * debian/source/local-options: Set "unapply-patches"
  * Update Standards-Version 3.9.6 -> 4.3.0 (no changes)
  * d/control: Use secure Vcs-URLs
  * d/control: Point Vcs-URLs to salsa

 -- Willi Mann <willi@debian.org>  Fri, 06 Jan 2017 08:58:25 +0100

=== debian/control ===
Source: unrtf
Section: text
Priority: optional
Maintainer: Willi Mann <willi@debian.org>
Build-Depends: debhelper (>= 10~)
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/debian/unrtf
Vcs-Git: https://salsa.debian.org/debian/unrtf.git
Homepage: https://www.gnu.org/software/unrtf/

Package: unrtf
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: rtf2htm
Conflicts: rtf2htm
Description: RTF to other formats converter
 UnRTF is a moderately complicated converter from RTF to other formats,
 including HTML, LaTeX, and text. Converting to HTML, it supports tables,
 fonts, colors, embedded images,  hyperlinks, paragraph alignment among other
 things. All other conversions are "alpha"--just begun.

=== debian/watch ===
version=3
https://ftp.gnu.org/pub/gnu/unrtf/ \
(?:.*[/=]|)unrtf(?:[_\-]?|[_\-]v)(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)(?:[^\.].*)?
# Bart Martens <bartm@debian.org>  Sat, 02 Mar 2013 17:04:37 +0000

## unrtf 1.0

=== DESCRIPTION ===
Package: unrtf
Type: Package
Title: Extract Text from Rich Text Format (RTF) Documents
Version: 1.0
Authors@R: c(
    person("Jeroen", "Ooms", ,"jeroen@berkeley.edu", role = c("aut", "cre")),
    person("Free Software Foundation, Inc", role = "cph"),
    person("Zachary Smith", role = "cph", comment = "GNU UnRTF"))
Description: Wraps the 'unrtf' utility to extract text from RTF files. Supports
    document conversion to HTML, LaTeX or plain text. Output in HTML is recommended
    because 'unrtf' has limited support for converting between character encodings.
License: GPL-3
Encoding: UTF-8
Imports: sys
URL: https://github.com/ropensci/unrtf#readme (devel)
        https://www.gnu.org/software/unrtf/ (upstream)
BugReports: http://github.com/ropensci/unrtf/issues
RoxygenNote: 6.0.1
NeedsCompilation: yes
Packaged: 2017-06-10 21:27:40 UTC; jeroen
Author: Jeroen Ooms [aut, cre],
  Free Software Foundation, Inc [cph],
  Zachary Smith [cph] (GNU UnRTF)
Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
Repository: CRAN
Date/Publication: 2017-06-10 21:55:31 UTC

## unrtf 1.1

=== DESCRIPTION ===
Package: unrtf
Type: Package
Title: Extract Text from Rich Text Format (RTF) Documents
Version: 1.1
Authors@R: c(
    person("Jeroen", "Ooms", ,"jeroen@berkeley.edu", role = c("aut", "cre")),
    person("Free Software Foundation, Inc", role = "cph"))
Description: Wraps the 'unrtf' utility to extract text from RTF files. Supports
    document conversion to HTML, LaTeX or plain text. Output in HTML is recommended
    because 'unrtf' has limited support for converting between character encodings.
License: GPL-3
Encoding: UTF-8
Imports: sys
URL: https://github.com/ropensci/unrtf#readme (devel)
        https://www.gnu.org/software/unrtf/ (upstream)
BugReports: http://github.com/ropensci/unrtf/issues
RoxygenNote: 6.0.1
NeedsCompilation: yes
Packaged: 2017-11-18 22:12:21 UTC; jeroen
Author: Jeroen Ooms [aut, cre],
  Free Software Foundation, Inc [cph]
Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
Repository: CRAN
Date/Publication: 2017-11-18 22:19:31 UTC

## unrtf 1.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: unrtf
 Type: Package
 Title: Extract Text from Rich Text Format (RTF) Documents
-Version: 1.1
+Version: 1.2
 Authors@R: c(
     person("Jeroen", "Ooms", ,"jeroen@berkeley.edu", role = c("aut", "cre")),
     person("Free Software Foundation, Inc", role = "cph"))
@@ -14,11 +14,11 @@
 URL: https://github.com/ropensci/unrtf#readme (devel)
         https://www.gnu.org/software/unrtf/ (upstream)
 BugReports: http://github.com/ropensci/unrtf/issues
-RoxygenNote: 6.0.1
+RoxygenNote: 6.0.1.9000
 NeedsCompilation: yes
-Packaged: 2017-11-18 22:12:21 UTC; jeroen
+Packaged: 2018-01-26 08:27:15 UTC; jeroen
 Author: Jeroen Ooms [aut, cre],
   Free Software Foundation, Inc [cph]
 Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 Repository: CRAN
-Date/Publication: 2017-11-18 22:19:31 UTC
+Date/Publication: 2018-01-26 09:07:29 UTC

## unrtf 1.3

=== DESCRIPTION ===
Package: unrtf
Type: Package
Title: Extract Text from Rich Text Format (RTF) Documents
Version: 1.3
Authors@R: c(
    person("Jeroen", "Ooms", ,"jeroen@berkeley.edu", role = c("aut", "cre")),
    person("Free Software Foundation, Inc", role = "cph"))
Description: Wraps the 'unrtf' utility to extract text from RTF files. Supports
    document conversion to HTML, LaTeX or plain text. Output in HTML is recommended
    because 'unrtf' has limited support for converting between character encodings.
License: GPL-3
Encoding: UTF-8
Imports: sys (>= 2.0)
URL: https://github.com/ropensci/unrtf#readme (devel)
        https://www.gnu.org/software/unrtf/ (upstream)
BugReports: http://github.com/ropensci/unrtf/issues
RoxygenNote: 6.0.1
NeedsCompilation: yes
Packaged: 2018-11-08 23:21:15 UTC; jeroen
Author: Jeroen Ooms [aut, cre],
  Free Software Foundation, Inc [cph]
Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
Repository: CRAN
Date/Publication: 2018-11-09 00:40:03 UTC

## unrtf 1.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: unrtf
 Type: Package
 Title: Extract Text from Rich Text Format (RTF) Documents
-Version: 1.3
+Version: 1.4
 Authors@R: c(
     person("Jeroen", "Ooms", ,"jeroen@berkeley.edu", role = c("aut", "cre")),
     person("Free Software Foundation, Inc", role = "cph"))
@@ -11,14 +11,15 @@
 License: GPL-3
 Encoding: UTF-8
 Imports: sys (>= 2.0)
-URL: https://github.com/ropensci/unrtf#readme (devel)
+URL: https://docs.ropensci.org/unrtf,
+        https://github.com/ropensci/unrtf#readme (devel)
         https://www.gnu.org/software/unrtf/ (upstream)
 BugReports: http://github.com/ropensci/unrtf/issues
-RoxygenNote: 6.0.1
+RoxygenNote: 7.0.2
 NeedsCompilation: yes
-Packaged: 2018-11-08 23:21:15 UTC; jeroen
+Packaged: 2020-01-13 11:52:44 UTC; jeroen
 Author: Jeroen Ooms [aut, cre],
   Free Software Foundation, Inc [cph]
 Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 Repository: CRAN
-Date/Publication: 2018-11-09 00:40:03 UTC
+Date/Publication: 2020-01-13 12:40:03 UTC

## unrtf 1.4.1

=== DESCRIPTION ===
Package: unrtf
Type: Package
Title: Extract Text from Rich Text Format (RTF) Documents
Version: 1.4.1
Authors@R: c(
    person("Jeroen", "Ooms", ,"jeroen@berkeley.edu", role = c("aut", "cre")),
    person("Free Software Foundation, Inc", role = "cph"))
Description: Wraps the 'unrtf' utility to extract text from RTF files. Supports
    document conversion to HTML, LaTeX or plain text. Output in HTML is recommended
    because 'unrtf' has limited support for converting between character encodings.
License: GPL-3
Encoding: UTF-8
Imports: sys (>= 2.0)
URL: https://docs.ropensci.org/unrtf/,
        https://github.com/ropensci/unrtf (devel)
        https://www.gnu.org/software/unrtf/ (upstream)
BugReports: https://github.com/ropensci/unrtf/issues
RoxygenNote: 7.0.2
NeedsCompilation: yes
Packaged: 2021-12-09 13:31:38 UTC; jeroen
Author: Jeroen Ooms [aut, cre],
  Free Software Foundation, Inc [cph]
Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
Repository: CRAN
Date/Publication: 2021-12-09 15:50:02 UTC

## unrtf 1.4.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: unrtf
 Type: Package
 Title: Extract Text from Rich Text Format (RTF) Documents
-Version: 1.4.1
+Version: 1.4.2
 Authors@R: c(
     person("Jeroen", "Ooms", ,"jeroen@berkeley.edu", role = c("aut", "cre")),
     person("Free Software Foundation, Inc", role = "cph"))
@@ -17,9 +17,9 @@
 BugReports: https://github.com/ropensci/unrtf/issues
 RoxygenNote: 7.0.2
 NeedsCompilation: yes
-Packaged: 2021-12-09 13:31:38 UTC; jeroen
+Packaged: 2022-10-18 09:19:26 UTC; jeroen
 Author: Jeroen Ooms [aut, cre],
   Free Software Foundation, Inc [cph]
 Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 Repository: CRAN
-Date/Publication: 2021-12-09 15:50:02 UTC
+Date/Publication: 2022-10-18 09:50:02 UTC

## unrtf 1.4.3

=== DESCRIPTION ===
Package: unrtf
Type: Package
Title: Extract Text from Rich Text Format (RTF) Documents
Version: 1.4.3
Authors@R: c(
    person("Jeroen", "Ooms", ,"jeroen@berkeley.edu", role = c("aut", "cre")),
    person("Free Software Foundation, Inc", role = "cph"))
Description: Wraps the 'unrtf' utility <https://www.gnu.org/software/unrtf/> to 
    extract text from RTF files. Supports document conversion to HTML, LaTeX or
    plain text. Output in HTML is recommended because 'unrtf' has limited 
    support for converting between character encodings.
License: GPL-3
Encoding: UTF-8
Imports: sys (>= 2.0)
URL: https://docs.ropensci.org/unrtf/
        https://ropensci.r-universe.dev/unrtf
BugReports: https://github.com/ropensci/unrtf/issues
RoxygenNote: 7.0.2
NeedsCompilation: yes
Packaged: 2023-09-26 16:04:37 UTC; jeroen
Author: Jeroen Ooms [aut, cre],
  Free Software Foundation, Inc [cph]
Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
Repository: CRAN
Date/Publication: 2023-09-26 16:50:02 UTC

## unrtf 1.4.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: unrtf
 Type: Package
 Title: Extract Text from Rich Text Format (RTF) Documents
-Version: 1.4.3
+Version: 1.4.4
 Authors@R: c(
     person("Jeroen", "Ooms", ,"jeroen@berkeley.edu", role = c("aut", "cre")),
     person("Free Software Foundation, Inc", role = "cph"))
@@ -17,9 +17,9 @@
 BugReports: https://github.com/ropensci/unrtf/issues
 RoxygenNote: 7.0.2
 NeedsCompilation: yes
-Packaged: 2023-09-26 16:04:37 UTC; jeroen
+Packaged: 2024-01-18 16:14:49 UTC; jeroen
 Author: Jeroen Ooms [aut, cre],
   Free Software Foundation, Inc [cph]
 Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 Repository: CRAN
-Date/Publication: 2023-09-26 16:50:02 UTC
+Date/Publication: 2024-01-18 16:50:02 UTC

## unrtf 1.4.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: unrtf
 Type: Package
 Title: Extract Text from Rich Text Format (RTF) Documents
-Version: 1.4.4
+Version: 1.4.5
 Authors@R: c(
     person("Jeroen", "Ooms", ,"jeroen@berkeley.edu", role = c("aut", "cre")),
     person("Free Software Foundation, Inc", role = "cph"))
@@ -17,9 +17,9 @@
 BugReports: https://github.com/ropensci/unrtf/issues
 RoxygenNote: 7.0.2
 NeedsCompilation: yes
-Packaged: 2024-01-18 16:14:49 UTC; jeroen
+Packaged: 2024-01-30 12:07:45 UTC; jeroen
 Author: Jeroen Ooms [aut, cre],
   Free Software Foundation, Inc [cph]
 Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 Repository: CRAN
-Date/Publication: 2024-01-18 16:50:02 UTC
+Date/Publication: 2024-01-30 12:30:02 UTC

## unrtf 1.4.6

=== DESCRIPTION ===
Package: unrtf
Type: Package
Title: Extract Text from Rich Text Format (RTF) Documents
Version: 1.4.6
Authors@R: c(
    person("Jeroen", "Ooms", ,"jeroenooms@gmail.com", role = c("aut", "cre")),
    person("Free Software Foundation, Inc", role = "cph"))
Description: Wraps the 'unrtf' utility <https://www.gnu.org/software/unrtf/> to 
    extract text from RTF files. Supports document conversion to HTML, LaTeX or
    plain text. Output in HTML is recommended because 'unrtf' has limited 
    support for converting between character encodings.
License: GPL-3
Encoding: UTF-8
Imports: sys (>= 2.0)
URL: https://docs.ropensci.org/unrtf/
        https://ropensci.r-universe.dev/unrtf
BugReports: https://github.com/ropensci/unrtf/issues
RoxygenNote: 7.0.2
NeedsCompilation: yes
Packaged: 2024-10-03 14:13:21 UTC; jeroen
Author: Jeroen Ooms [aut, cre],
  Free Software Foundation, Inc [cph]
Maintainer: Jeroen Ooms <jeroenooms@gmail.com>
Repository: CRAN
Date/Publication: 2024-10-04 08:40:02 UTC

## unrtf 1.4.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: unrtf
 Type: Package
 Title: Extract Text from Rich Text Format (RTF) Documents
-Version: 1.4.6
+Version: 1.4.7
 Authors@R: c(
     person("Jeroen", "Ooms", ,"jeroenooms@gmail.com", role = c("aut", "cre")),
     person("Free Software Foundation, Inc", role = "cph"))
@@ -17,9 +17,9 @@
 BugReports: https://github.com/ropensci/unrtf/issues
 RoxygenNote: 7.0.2
 NeedsCompilation: yes
-Packaged: 2024-10-03 14:13:21 UTC; jeroen
+Packaged: 2024-10-26 11:47:08 UTC; jeroen
 Author: Jeroen Ooms [aut, cre],
   Free Software Foundation, Inc [cph]
 Maintainer: Jeroen Ooms <jeroenooms@gmail.com>
 Repository: CRAN
-Date/Publication: 2024-10-04 08:40:02 UTC
+Date/Publication: 2024-10-26 23:20:02 UTC

## unrtf 1.4.8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: unrtf
 Type: Package
 Title: Extract Text from Rich Text Format (RTF) Documents
-Version: 1.4.7
+Version: 1.4.8
 Authors@R: c(
     person("Jeroen", "Ooms", ,"jeroenooms@gmail.com", role = c("aut", "cre")),
     person("Free Software Foundation, Inc", role = "cph"))
@@ -15,11 +15,11 @@
 URL: https://docs.ropensci.org/unrtf/
         https://ropensci.r-universe.dev/unrtf
 BugReports: https://github.com/ropensci/unrtf/issues
-RoxygenNote: 7.0.2
+RoxygenNote: 7.3.3
 NeedsCompilation: yes
-Packaged: 2024-10-26 11:47:08 UTC; jeroen
+Packaged: 2026-02-26 18:36:04 UTC; jeroen
 Author: Jeroen Ooms [aut, cre],
   Free Software Foundation, Inc [cph]
 Maintainer: Jeroen Ooms <jeroenooms@gmail.com>
 Repository: CRAN
-Date/Publication: 2024-10-26 23:20:02 UTC
+Date/Publication: 2026-02-26 18:50:02 UTC
